<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [quitJob](./bitburner.singularity.quitjob.md)

## Singularity.quitJob() method

Quit jobs by company.

**Signature:**

```typescript
quitJob(companyName?: CompanyName | `${CompanyName}`): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  companyName | [CompanyName](./bitburner.companyname.md) \| \`${[CompanyName](./bitburner.companyname.md)<!-- -->}\` | _(Optional)_ Name of the company. |

**Returns:**

void

## Remarks

RAM cost: 3 GB \* 16/4/1

This function will finish work with the company provided and quit any jobs.

